View Issue Details

IDProjectCategoryView StatusLast Update
0001357WishesPanelpublic2012-06-14 08:50
Reporteralexmitin Assigned Tovskirdin  
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Platformx64OSWindows 
Product Version2.0 
Fixed in Version3.0 
Summary0001357: Показывать все типы Reparse Points в панелях
DescriptionСейчас панели показывают следующие типы Reparse Points:
1) Direction Junction
2) File Symbolic Link
3) Directory Symbolic Link

Добавить показ всех существующих Reparse Points:
1) Reparse Points tag определены в файлах ntifs.h (из WinDDK) или WinNT.h (из Windows SDK):

 С:\WinDDK\7600.16385.1\inc\ddk\ntifs.h
 C:\Program Files\Microsoft SDKs\Windows\v7.0\Include\WinNT.h

В файле ntifs.h определен более полный список.

2) Вид Reparse Point показывать в колонке "size". Для тех Reparse Points, о которых известно FAR (например, смотри .h Файлы выше) показывать имя (примеры смотри в help ниже). Для неизвестных показывать в виде <:HexTag>

Например:
<Symlink> - Симлинк на файл
<SymlinkD> - Симлинк на папку
<Junction> - Directory Junction
<Volume> - Volume Mount Point
  <DFS> - Distibuted File System
  <DFSR> - Distributed File System Replication
  <HSM> - Hierarchical Storage Management
  <HSM2>
  <SIS>
  <DriveExt> - Drive Extender
<:00000012> - IO_REPARSE_TAG_SYMANTEC_HSM
<:0000000C> - IO_REPARSE_TAG_ARKIVIO
---------------------------------------------

Вот выдержка для Help:

    The known reparse point types are the following:

    Type Tag Description
    ───────── ────────── ────────────────────────────────────────
    #Junction# 0xA0000003 Directory Junction or Volume Mount Point
    #HSM# 0xC0000004 Hierarchical Storage Management
    #HSM2# 0xC0000006 Hierarchical Storage Management2
    #DriveExt# 0x80000005 Drive Extender
    #SIS# 0x80000007 Single Instance Storage
    #FilterMgr# 0x8000000B Filter Manager
    #SymLink# 0xA000000C File Symbolic Link
    #SymLinkD# 0xA000000C Directory Symbolic Link
    #IIS Cache# 0xA0000010 IIS Cache
    #DFS# 0x8000000A Distributed File System
    #DFSR# 0x80000012 Distributed File System Replication
    #:XXXXXXXX# Unknown reparse point type. XXXXXXXX is a reparse point tag in the hexadecimal format.

    To display the full name of the reparse point type set the size of the
'S' or 'P' column to 9 characters or more.
TagsNo tags attached.
Build2632

Activities

DrKnS

2010-04-26 18:04

administrator   bugnote:0005276

Ну допустим. А проверить на чём?
Есть какой-нибудь утиль, позволяющий создать всё это добро в отдельно взятом каталоге?

alexmitin

2010-04-26 23:52

reporter   bugnote:0005277

Небольшое уточнение. Данный issue - это только показывать в панели названия Reparse Points (для известных) или тэгов (для неизвестных). Это не предложение для редактирования/изменения их. Для этого будут другие issue.
------------

Насчет создания. Берем Windows 2003/2008.

Следующие виды Reparse Points создаются с помощью команды mklink.exe или FAR Manager :)
 * Directory Junction
 * Directory Symbolic Link
 * File Symbolic Link

Volume Mount Point создается c помощью утилиты mountvol.exe

Для создания DFS шары смотреть линк:
http://www.windowsnetworking.com/articles_tutorials/Windows2003-Distributed-File-System.html
А также:
http://technet.microsoft.com/en-us/library/cc780950%28WS.10%29.aspx

Note: сейчас DFS шара показывается как SymLink, что неверно.

Это что наиболее часто встречаемое.
Теперь экзотика:

-------------------
Для экспериментов над SIS (Single Instance Storage) нужно использовать Windows Storage Server 2003 R2 или 2008 R2.

Для экспериментов над DriveExt - использовать Windows Home Server.
http://en.wikipedia.org/wiki/Windows_Home_Server#Drive_Extender

http://www.microsoft.com/downloads/details.aspx?displaylang=en&FamilyID=40c6c9cc-b85f-45fe-8c5c-f103c894a5e2

Для этих продуктов есть Evaluation Version.
--------------------


Посмотреть статуc Reparse Point можно с помощью утилиты fsutil.exe:
fsutil reparsepoint query

К сожалению, она не всегда показывает всю информацию.

vskirdin

2012-04-24 07:26

administrator   bugnote:0009042

Last edited: 2012-04-24 07:27

View 3 revisions

http://skirda-file.googlecode.com/files/m1357.1.7z
Здесь IO_REPARSE_TAG_MOUNT_POINT (junction и volume), IO_REPARSE_TAG_SYMLINK, IO_REPARSE_TAG_DFS, IO_REPARSE_TAG_DFSR, IO_REPARSE_TAG_HSM, IO_REPARSE_TAG_HSM2, IO_REPARSE_TAG_SIS, IO_REPARSE_TAG_WIM, IO_REPARSE_TAG_CSV.
Остальное - по мере развития событий.
Делить Symlink на файлы и каталоги IMHO не имеет смысла - визуально и так понятно, что и как.
Проверить могу только DFS, Volume, Junction, Symlink. Остальное нет возможности.

Вопрос. Нужно ли делать опцию в настройках интерфейса по поводу показа детальной инфы о "цвете штанов" - иным вполне достаточно Folder+Junction :-)

vskirdin

2012-04-24 14:37

administrator   bugnote:0009044

build 2632

alexmitin

2012-06-13 16:54

reporter   bugnote:0009329

> Вопрос. Нужно ли делать опцию в настройках интерфейса
> по поводу показа детальной инфы о "цвете штанов"
> - иным вполне достаточно Folder+Junction :-)

По поводу "цвета штанов", а также поиска "штанов" - это будет другие тикеты.
Этот тикет можно закрывать.

Issue History

Date Modified Username Field Change
2010-04-26 15:59 alexmitin New Issue
2010-04-26 18:04 DrKnS Note Added: 0005276
2010-04-26 23:52 alexmitin Note Added: 0005277
2012-04-24 07:26 vskirdin Note Added: 0009042
2012-04-24 07:27 vskirdin Note Edited: 0009042 View Revisions
2012-04-24 07:27 vskirdin Note Edited: 0009042 View Revisions
2012-04-24 08:07 DrKnS Note View State: 0009042: private
2012-04-24 08:07 DrKnS Note View State: 0009042: public
2012-04-24 14:37 vskirdin Note Added: 0009044
2012-04-24 14:37 vskirdin Assigned To => vskirdin
2012-04-24 14:37 vskirdin Status new => feedback
2012-06-13 16:54 alexmitin Note Added: 0009329
2012-06-13 16:54 alexmitin Status feedback => assigned
2012-06-14 08:50 vskirdin Build => 2632
2012-06-14 08:50 vskirdin Status assigned => closed
2012-06-14 08:50 vskirdin Resolution open => fixed
2012-06-14 08:50 vskirdin Fixed in Version => 3.0